<!DOCTYPE busconfig PUBLIC
 "-//freedesktop//DTD D-BUS Bus Configuration 1.0//EN"
 "http://www.freedesktop.org/standards/dbus/1.0/busconfig.dtd">
<busconfig>

  <!-- This configuration file specifies the extended security policies
       for the HAL to work for Debian Edu. -->

  <!-- Default policy for the exported interfaces; if PolicyKit is not used
       for access control you will need to modify this -->
  <policy context="default">
    <deny receive_interface="org.freedesktop.Hal.Device"
          receive_member="PropertyModified"/>
    <deny receive_interface="org.freedesktop.Hal.Manager"
          receive_member="DeviceAdded"/>
  </policy>

  <!-- This will not work if consolekit is not enabled -->
  <policy at_console="true">
    <allow receive_interface="org.freedesktop.Hal.Device"
           receive_member="PropertyModified"/>
    <allow receive_interface="org.freedesktop.Hal.Manager"
           receive_member="DeviceAdded"/>
  </policy>

  <!-- Debian groups policies -->
  <policy group="plugdev">
    <allow receive_interface="org.freedesktop.Hal.Device"
           receive_member="PropertyModified"/>
    <allow receive_interface="org.freedesktop.Hal.Manager"
           receive_member="DeviceAdded"/>
  </policy>

  <!-- Allow root to receive PropertzModified and
       DeviceAdded messages.
  -->
  <policy user="root">
    <allow receive_interface="org.freedesktop.Hal.Device"
           receive_member="PropertyModified"/>
    <allow receive_interface="org.freedesktop.Hal.Manager"
           receive_member="DeviceAdded"/>
  </policy>

</busconfig>

